installation Woody selon la "formation Linux"

Le
siger
Bonjour,

J'essaye d'installer une Woody 3.0r1 (7 CD) sur un portable Keynux neuf
qui est proposé avec Mandrake (je l'ai pris sans OS).

Je suis ce guide :
http://people.via.ecp.fr/~alexis/formation-linux/

Ça se passe bien jusqu'à ce que ça se passe moins bien :-)

La 1ère fois, après avoir essayé diverses choses, j'ai formaté et
recommencé : même symptôme.

Le problème est sur cette page :
http://people.via.ecp.fr/~alexis/formation-linux/internet.html
au §1.1, je fais
# apt-get install hotplug usbutils

puis au § 4 (Modem Sagem Fast 800), ça coince ici :
# dpkg -i ~/hotplug*.deb
parce qu'il ne trouve pas le(s) fichier(s).
Le pourquoi de cette commande est sur la page.

Je suppose qu'il manque quelque chose dans l'aide.

Le problème est que cette aide doit se suivre, on ne peut pas sauter
d'étape puisque chaque chapitre sous-entend qu'on a fait ce qu'il y
avait dans ceux d'avant. Et comme je comprenais tout jusque là, je n'ai
pas envie d'en changer, elle est assez claire et plutôt bien expliquée.
Elle correspond à mon niveau.

J'ai essayé de ne pas tenir compte de cette erreur, mais ensuite, je
n'ai quasiment que des erreurs à chaque commande.

J'ai fait
find /* | grep hotplug*.deb | more
(je suppose que ' * ' remplace n'importe quelle chaine de carractère,
comme dans Windows)
Pas de réponse.

find /* | grep *.deb | more
pas de réponse

Qu'en pensez vous ?

Pour info :

dpkg -l hotplug*

donne d'abort une liste, je ne sais pas si ce sont des commandes ou des
infos :
| État=Non/Installé/suppRimé/Purgé/H=à garder
|/ Err?=(aucune)/H=à garder/besoin Réinstallation/X=les deux
(État,Err: majuscule=mauvais)

et dessous :

ii hotplug 0.0.20020114-7 Linux Hotplug Script
pn hotplug-utils <néant> (aucune description n'est disponible)

Que signifient les 1ères lignes ? Je n'ai mis aucune majuscule, j'en
suis sûr.

Je suis bloqué là car je ne sais pas d'où vient le problème (machine,
CD, aide) à part moi, bien sûr :-)

Merci.

--
siger
Vos réponses Page 1 / 3
Gagnez chaque mois un abonnement Premium avec GNT : Inscrivez-vous !
Trier par : date / pertinence
Jerome Lambert
Le #1037490
Le Sat, 10 Apr 2004 22:43:50 +0000, siger a écrit :
Le problème est sur cette page :
http://people.via.ecp.fr/~alexis/formation-linux/internet.html
au §1.1, je fais
# apt-get install hotplug usbutils

puis au § 4 (Modem Sagem Fast 800), ça coince ici :
# dpkg -i ~/hotplug*.deb
parce qu'il ne trouve pas le(s) fichier(s).


La doc dit ceci:
"Le package hotplug de la Woody n'étant pas assez récent pour supporter
ce modem, je vous propose d'installer à la place le package que je vous
avais fait télécharger avant de démarrer la procédure d'installation
et que je vous avais demandé de rapatrier dans le home du root"

1) avez-vous rapatrié les paquetages en question, comme expliqué ici:
http://people.via.ecp.fr/~alexis/formation-linux/media-boot.html
2) êtes-vous root? (on ne sait jamais...)
3) si vous avez téléchargé les paquetages sus-mentionnées, êtes-vous
au bon endroit de l'arborescence?

Le problème est que cette aide doit se suivre, on ne peut pas sauter
d'étape puisque chaque chapitre sous-entend qu'on a fait ce qu'il y
avait dans ceux d'avant. Et comme je comprenais tout jusque là, je n'ai
pas envie d'en changer, elle est assez claire et plutôt bien
expliquée. Elle correspond à mon niveau.


C'est vrai que c'est un modèle de clareté et de facilité...

J'ai essayé de ne pas tenir compte de cette erreur, mais ensuite, je
n'ai quasiment que des erreurs à chaque commande.
(snip les erreurs)


Logique, car les paquetages n'ont pas été installés, donc il manque des
fichiers...

Jerome.

siger
Le #1529953

1) avez-vous rapatrié les paquetages en question, comme expliqué
ici:
http://people.via.ecp.fr/~alexis/formation-linux/media-boot.html


Oui, mais à ce stade seul 1 a été utilisé (fichiers-config). Les
pilotes du modem sont utilisés un peu plus loin et le 3ème (packages)
beaucoup plus loin. J'ai fait la recherche dans le fichier.PDF

2) êtes-vous root? (on ne sait jamais...)


Oui, c'est toujours une bonne question car sur un écran moyen avec un
éclairage moyen et un état de fatigue moyen, en regardant en biais, on
peut vite ne pas s'apercevoir que c'est passé de # à % ou le contraire,
en plus en lisant un PDF.

3) si vous avez téléchargé les paquetages sus-mentionnées,
êtes-vous au bon endroit de l'arborescence?


Oui, je suppose. En fait, il est rarement question d'arborescence.
Souvent il demande de faire
# apt-get install ...
par exemple sans dire où se mettre. C'est le cas ici. Est-ce un oubli
dans l'aide ?
Parfois, il l'indique. J'ai donc supposé que les autres fois (dont
celle dont on parle) ça n'a pas d'importance. C'est une erreur ?

Mais par défaut, sauf indication je me mets toujours dans /root , c'est
donc ici que j'ai tapé cette commande :
~# dpkg -i ~/hotplug*.deb

--
siger

Jerome Lambert
Le #1529951
Le Sat, 10 Apr 2004 23:10:28 +0000, siger a écrit :


Oui, mais à ce stade seul 1 a été utilisé (fichiers-config). Les
pilotes du modem sont utilisés un peu plus loin et le 3ème (packages)
beaucoup plus loin. J'ai fait la recherche dans le fichier.PDF


Le problème, c'est que dans le passage cité (§4.1) il spécifie qu'il
faut installer ce paquetage à ce moment-ci...

2) êtes-vous root? (on ne sait jamais...)


Oui, c'est toujours une bonne question


Et c'est toujours pour ça que je la pose ;-)

3) si vous avez téléchargé les paquetages sus-mentionnées,
êtes-vous au bon endroit de l'arborescence?


Souvent il demande de faire
# apt-get install ...


Logique, car dans ce cas on interroge une base du système, donc le chemin
ne joue pas...

par exemple sans dire où se mettre. C'est le cas ici. Est-ce un oubli
Mais par défaut, sauf indication je me mets toujours dans /root , c'est
donc ici que j'ai tapé cette commande :


Et bien à coup de ls, recherchez ce *%µ@& de paquetage, et une fois que
vous êtes dans le repertoire ou il se trouve, tapez
# dpkg -i ./hotplug*.deb (attention, c'est un point et non ~)

Jerome.


siger
Le #1528179

siger a écrit :

Oui, mais à ce stade seul 1 a été utilisé (fichiers-config). Les
pilotes du modem sont utilisés un peu plus loin et le 3ème
(packages) beaucoup plus loin. J'ai fait la recherche dans le
fichier.PDF


Le problème, c'est que dans le passage cité (§4.1) il spécifie
qu'il faut installer ce paquetage à ce moment-ci...


il y a 3 fichiers à télécharger :

1. fichiers-config-linux.tar.gz (fichiers de configuration)

2. eagle-usb-version.tar.bz2 (pilotes du modem adsl sagem fast 800)

3. packages-2.6.tar.gz (packages requis pour la deuxième partie de la
formation)

[apparté : au début, il demande de booter avec bf2.4, et là il est
question de 2.6]

La seule chose qu'il demande de décompresser est bien avant, c'est le
1er fichier :
#cd
#tar xvzf fichiers-config-linux.tar.gz

(les 2 autres sont décompressés plus tard)

Donc je ne suppose que cette phrase :
« Installez les en-têtes des sources du noyau qui sont contenues dans
le package que je vous avais demandé de télécharger :
# dpkg -i ~/kernel-headers-2.4.18-bf2.4*.deb »

signifie que ces fichiers devraient être dans /root.

Mais il n'y sont pas. Ou alors j'ai loupé quelque chose. Pour voir,
j'ai décompressé les 2 autres fichiers dans un dossier sous /home/.
J'ai cherché le mot 'kernel' ainsi :
find /home/* | grep kernel | more
et ne ne trouve que kernel.m4 dans celui du modem.

donc même l'installation de ces fichiers ne changerai rien. Je l'avais
d'ailleurs fait la 1ère fois (j'ai formaté depuis).

'ls' dans /root ne donne que les archives en question puisqu'il a
demandé de les mettre là en attendant de s'en servir et le dossier
'config' issu du 1er fichier décompressé.

Il manque quelque chose à l'aide, on dirait. Il manque un fichier à
télécharger et à décompresser dans /root, qui contiendrait des fichiers
du type hotplug*.deb et kernel-etc.

Ou le 1er fichier est incomplet. C'est plutôt ça car je n'en ai pas vu
d'autre *et* il n'a pas demandé d'en décompresser un autre. Ça ferait 2
erreurs (pour l'aide ou pour moi).

Et bien à coup de ls, recherchez ce *%µ@& de paquetage, et une
fois que vous êtes dans le repertoire ou il se trouve,


find /* | grep *.deb | more
ne donne pas de réponse. Ce n'est pas la bonne méthode de recherche ?

tapez
# dpkg -i ./hotplug*.deb (attention, c'est un point et non ~)


Un point ? C'est une faute de frappe dans l'aide ?

Merci :-)

--
siger


Jerome Lambert
Le #1528178
http://people.via.ecp.fr/~alexis/formation-linux/media-boot.html §2.2:

Si vous avez un modem ADSL USB de type SAGEM 800, téléchargez
o la version 1.9.5 (et non la 1.9.6) du driver sur le site de
téléchargement du driver (il s'agit du fichier eagle-usb-version.tar.bz2),

o une version modifiée du package disponible à l'adresse
http://www.backports.org/debian/dists/stable/hotplug/binary-i386/,

(snip le reste)

Le deuxième lien revoit vers un repertoire qui contient:
hotplug_0.0.20040329-8_all.deb 10-Apr-2004 17:17 54k

Le voici, votre hotplug-truc.deb qu'on cherche depuis 2 heures...

Donc vous devez:
- le telecharger depuis un autre OS (vu que le modem ne fonctionne pas
encore)
- le copier sur une disquette (ou sur une partition FAT32)
- démarrer Debian
- monter la disquette (ou la partition)
- copier le fichier depuis son emplacement vers /root/
- poursuivre la manoeuvre...

On va y arriver...

Jerome.
siger
Le #1528156

http://people.via.ecp.fr/~alexis/formation-linux/media-boot.html
§2.2:
...

o une version modifiée du package disponible à l'adresse
http://www.backports.org/debian/dists/stable/hotplug/binary-i386/,


OUI ! Je ne l'avait pas vu, ou plutôt, j'avais mal compris la phrase,
claire, pourtant. J'ai parcouru au moins 10 fois cette page et je l'ai
loupé à chaque fois.

Le deuxième lien revoit vers un repertoire qui contient:
hotplug_0.0.20040329-8_all.deb 10-Apr-2004 17:17 54k

Le voici, votre hotplug-truc.deb qu'on cherche depuis 2 heures...


OK, désolé pour le dérangement. Ceci dit, cette aventure a été très
bénéfique pour moi car j'ai eu à chercher dans divers endroits, essayer
divers truc. Une formation accélérée dans l'urgence, c'est bon pour
l'adrénaline :-)

donc la commande
# dpkg -i ~/hotplug*.deb
marche.

Mais pas la suivante :
# dpkg -i ~/kernel-headers-2.4.18-bf2.4*.deb
Ce fichier n'y est pas.
L'archive packages.gz qui est avec le package hotplug*.deb n'est qu'un
fichier texte qui exlique de quoi il s'agit.

Comme je le disais, les 2 autres fichiers que j'ai décompressé dans un
autre dossier (parce que leur usage est prévu plus loin dans l'aide) ne
contiennent aucun fichier contenant 'kernel' à l'exception de
'kernel.m4' .

Sur la même page, il y a
« si vous suivez la méthode 1 CD, téléchargez le package kernel-
headers-2.4.18-bf2.4 »

J'utilise la méthode 7 CD. J'essaie quand même.

Ça roule jusqu'à (§ 4.2)
% make

ici, je vois déjà 4 lignes commençant par 'warning' et
make[1]: *** [eu_main.o] Erreur
make[1]: Leaving directory '/usr/src/eagle-usb-1.9.5/driver'
make: *** [build] Erreur 2

[apparté : Il y a beaucoup de sens pour 'leaving' dans mon dictionnaire
d'anglais. De quoi s'agit-il ici ? Les 'warning' corespondent à quoi ?]

Je continue quand même
# make install

je peux lire que l'installation est finie et qu'il faut lancer
eagleconfig (comme indiqué dans l'aide). Mais ensuite :

/usr/bin/install il ne trouve pas 'dsp_code_pots.bin'

J'essaye quand même
# eagleconfig
commande not found

J'ai fait
% ./configure ==> # eagleconfig
2 fois avec les même résultats.

Y a t-il un rapport avec les entêtes pour la méthode 1 CD ?

Autre chose ?

On va y arriver...


:-)

Merci !

--
siger

siger
Le #1528154
...

Je continue quand même
# make install

je peux lire que l'installation est finie et qu'il faut lancer
eagleconfig (comme indiqué dans l'aide). Mais ensuite :


le message plus complet :

/usr/bin/install il ne trouve pas 'dsp_code_pots.bin'
make[2]: *** [install] Erreur 1
make[2]: Leaving directory '/usr/src/eagle-usb-1.9.5/driver/firmware'
make[1]: ***[installdsp] Erreur 2
make[1]: Leaving directory '/usr/src/eagle-usb-1.9.5/driver'
make: ***[install] Erreur 2

Mais ça ne sert peut-être à rien dans la mesure où il y a déjà des
erreur dans l'étape précedente.

Merci pour votre patience.

--
siger

Jerome Lambert
Le #1528153
Le Sun, 11 Apr 2004 12:07:06 +0000, siger a écrit :
OUI ! Je ne l'avait pas vu, ou plutôt, j'avais mal compris la phrase,
claire, pourtant. J'ai parcouru au moins 10 fois cette page et je l'ai
loupé à chaque fois.


Moi aussi...

OK, désolé pour le dérangement. Ceci dit, cette aventure a été très
bénéfique pour moi car j'ai eu à chercher dans divers endroits, essayer
divers truc. Une formation accélérée dans l'urgence, c'est bon pour
l'adrénaline :-)


Et pour la connaissance: on cherche, on essaye, on réfléchit...

Sur la même page, il y a
« si vous suivez la méthode 1 CD, téléchargez le package kernel-
headers-2.4.18-bf2.4 »

J'utilise la méthode 7 CD. J'essaie quand même.


Oui, parce que dans la méthode 1CD, il installe le modem AVANT la mise à
jour du système, mais la méthode est grosso modo la même...

Ça roule jusqu'à (§ 4.2)
% make

ici, je vois déjà 4 lignes commençant par 'warning' et make[1]: ***
[eu_main.o] Erreur
make[1]: Leaving directory '/usr/src/eagle-usb-1.9.5/driver' make: ***
[build] Erreur 2


Stop! La compilation a foiré, donc ça ne sert à rien d'aller plus loin.

- avez-vous ajouté votre utilisateur au groupe src?
(en root: adduser mon_utilisateur_courant src)

- avez vous tapé les lignes suivantes en tant qu'utilisateur
mon_utilisateur_courant?
% cd /usr/src/
% ln -s kernel-headers-2.4.18-bf2.4 linux

- Ensuite, avez-vous tapé les lignes suivantes en tant qu'utilisateur
"normal"?

% cp /root/eagle-usb-1.9.5.tar.bz2 /usr/src/
% cd /usr/src/
% tar xvjf eagle-usb-1.9.5.tar.bz2
% cd eagle-usb-1.9.5
% ./configure
% make

Attention, la documentation est tres bien faite, mais si vous loupez une
étape ou si vous ne réalisez pas qu'une commande à foiré, le reste ne
fonctionnera pas...

[apparté : Il y a beaucoup de sens pour 'leaving' dans mon dictionnaire
d'anglais. De quoi s'agit-il ici ? Les 'warning' corespondent à
quoi ?]


Leaving: la compilation est assez verbeuse, donc les messages indiquent ce
qu'on font. Il y a donc des "entering" (entrée) et leaving (quitter), et
entre les deux il y a certainement une compilation ou une opération sur
des fichiers

Le Warning est une mise en garde pour le programmeur, lui disant que son
code contient une petite erreur qui ne porte pas à conséquence, genre
utliser la fonction racine_carré_d_un_nombre_réel avec un nombre entier.
Ca marche, mais c'est pas top...

Jerome.

siger
Le #1040140

Stop! La compilation a foiré, donc ça ne sert à rien d'aller plus
loin.
- avez-vous ajouté votre utilisateur au groupe src?
(en root: adduser mon_utilisateur_courant src)


oui

- avez vous tapé les lignes suivantes en tant qu'utilisateur
mon_utilisateur_courant?
% cd /usr/src/
% ln -s kernel-headers-2.4.18-bf2.4 linux


Ah, là je ne suis pas sûr que je n'étais pas en root. Est-il possible
de "remonter" l'écran pour vérifier ?

- Ensuite, avez-vous tapé les lignes suivantes en tant
qu'utilisateur "normal"?

% cp /root/eagle-usb-1.9.5.tar.bz2 /usr/src/
% cd /usr/src/
% tar xvjf eagle-usb-1.9.5.tar.bz2
% cd eagle-usb-1.9.5
% ./configure
% make


oui

Attention, la documentation est tres bien faite, mais si vous
loupez une étape ou si vous ne réalisez pas qu'une commande à
foiré, le reste ne fonctionnera pas...


J'en suis bien concient. J'essaye d'être le plus attentif possible, je
relit chaque ligne plusieurs fois, mais ça ne suffit pas :-)

Je recommence donc pour voir :

% cd /usr/src/
% ln -s kernel-headers-2.4.18-bf2.4 linux

==> 'permision non accordée'

Je continue mais j'ai toujours les mêmes erreurs.

Je formate et j'y retourne. Je comence à connaitre par coeur, je fait
ça les yeux fermés maintenant.

Je vais tenter autre chose : faire ça les yeux ouverts.

Merci pour votre vigilence.

--
siger

Jerome Lambert
Le #1040139
Le Sun, 11 Apr 2004 13:42:24 +0000, siger a écrit :

- avez vous tapé les lignes suivantes en tant qu'utilisateur
mon_utilisateur_courant?
% cd /usr/src/
% ln -s kernel-headers-2.4.18-bf2.4 linux


Ah, là je ne suis pas sûr que je n'étais pas en root. Est-il possible
de "remonter" l'écran pour vérifier ?


Ah non, malheureusement.

Je vous suggérerais de travailer avec deux consoles (Ctrl-Alt-F1 et -F2),
l'une en root et l'autre avec l'utilisateur courant, pour pouvoir passer
de l'une à l'autre aisément.

Attention, il faut fermer et puis réouvrir la session utilisateur lors du
changement de groupe...


Attention, la documentation est tres bien faite, mais si vous loupez
une étape ou si vous ne réalisez pas qu'une commande à foiré, le
reste ne fonctionnera pas...


J'en suis bien concient. J'essaye d'être le plus attentif possible, je
relit chaque ligne plusieurs fois, mais ça ne suffit pas :-)

Je recommence donc pour voir :

% cd /usr/src/
% ln -s kernel-headers-2.4.18-bf2.4 linux

==> 'permision non accordée'


Donc ctrl-alt-F2, ouvrir une session avec l'utilisateur courant, et puis
faire la manip'

Je vais tenter autre chose : faire ça les yeux ouverts.
Merci pour votre vigilence.


Mais de rien,

Jerome.
PS: reformater et reinstaller ne sert à rien. On est pas sous Windows ici ;-)


Publicité
Poster une réponse
Anonyme